Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Run

POST/pipelines/runs/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
sku_idintegerrequired

SKU ID for the run. Get it from the SKU List API response.

sku_item_price_idintegerrequired

Price ID for the SKU item. Get it from the SKU List API response.

next_sku_item_price_idinteger

ID for the next SKU item price, if any

committed_instance_policystring

Committed instance policy

namestringrequired

Name of the run

descriptionstring

Description of the run

experiment_idstring·uuidrequired

ID of the associated experiment. Get it from the experiment_id field in the Experiment List API response.

pipeline_typestringexisting | new

Type of pipeline

pipeline_version_idstring·uuidrequired

Version ID of the pipeline. Get it from the version_id field in the Version List API response.

run_parameterarray

Runtime parameters for the pipeline run

run_typestringrun | scheduled_job

Type of run

Responses

200Successful response containing run details
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSuccess